commit 8c3238510ce63c75024c0288eade5c933f6d322e
Author: Ian Lance Taylor <iant@golang.org>
Date:   Tue Jul 12 19:42:43 2022 -0700

    libgo: don't include <linux/fs.h> when building gen-sysinfo.go
    
    Removing this doesn't change anything at least with glibc 2.33.
    The include was added in https://go.dev/cl/6100049 but it's not
    clear why.
    
    Fixes PR go/106266
    
    Reviewed-on: https://go-review.googlesource.com/c/gofrontend/+/417294
    (cherry picked from commit f35d65517a59565758107c5b1a51a5fa382f8d1a)

diff --git a/libgo/sysinfo.c b/libgo/sysinfo.c
index 0692fd41eb7..1825387c710 100644
--- a/libgo/sysinfo.c
+++ b/libgo/sysinfo.c
@@ -150,9 +150,6 @@
 #if defined(HAVE_LINUX_ETHER_H)
 #include <linux/ether.h>
 #endif
-#if defined(HAVE_LINUX_FS_H)
-#include <linux/fs.h>
-#endif
 #if defined(HAVE_LINUX_REBOOT_H)
 #include <linux/reboot.h>
 #endif

